@include('layouts.sidebar')

<div class="section-body">
    <div class="container-fluid mt-4">
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="tab-content">
                    <div class="tab-pane active show" id="Company_Settings">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">Categories Management</h3>
                                <div class="card-options">
                                    <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fa fa-chevron-up"></i></a>
                                    <a href="#" class="card-options-fullscreen" data-toggle="card-fullscreen"><i class="fa fa-maximize"></i></a>
                                </div>
                            </div>
                            <div class="card-body">
                                <form action="{{ route('category.store') }}" method="POST" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <label>Category Name <span class="text-danger">*</span></label>
                                                <input class="form-control" name="category_name" type="text" value="">
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <label>Category Image</label>
                                                <input class="form-control" name="category_image" value="Louis Pierce" type="file">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12 text-right m-t-20">
                                            <button type="submit" class="btn btn-primary">SAVE</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>                        
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="section-body">
    <div class="container-fluid mt-4">
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Exsisting Categories</h3>
                        <div class="card-options">
                            <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fa fa-chevron-up"></i></a>
                            <a href="#" class="card-options-fullscreen" data-toggle="card-fullscreen"><i class="fa fa-maximize"></i></a>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th>Category Name</th>
                                        <th>Category Image</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($categories as $category)
                                    <tr>
                                        <td>{{ $category->category_name }}</td>
                                        <td>
                                            @if($category->category_image)
                                                <img src="{{ asset('storage/' . $category->category_image) }}" alt="Category Image" style="max-width: 100px;">
                                            @else
                                                No Image
                                            @endif
                                        </td>                                                                               
                                        <td>
                                            {{-- <a href="#" class="btn btn-primary btn-edit" data-category-id="{{ $category->id }}">Edit</a> --}}
                                            <form action="{{ route('category.delete') }}" method="POST" style="display: inline;">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger">Delete</button>
                                            </form>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>                        
            </div>
        </div>
    </div>
</div>


@include('layouts.scripts')

 