<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\AuthController;
use App\Http\Controllers\Api\CategoryController;
use App\Http\Controllers\Api\PasswordResetController;

//Public Route
Route::post('/register' , [AuthController::class , 'register'])->name('register');
Route::post('/login' , [AuthController::class , 'login'])->name('login');
Route::post('/password-reset-email' , [PasswordResetController::class , 'sendresetpasswordEmail']);
Route::post('/reset-password/{token}' , [PasswordResetController::class, 'reset']);
Route::get('/all-users', [AuthController::class, 'registeredUsers']);

//protected Routes
Route::middleware(['auth:sanctum'])->group(function(){
    Route::post('/logout', [AuthController::class, 'logout']);
    
    Route::get('/logged-user' , [AuthController::class , 'loggedUser'])->name('loggeduser');
    Route::post('/change-password' , [AuthController::class , 'changePassword'])->name('changepassword');
});

//Category Controller 
Route::get('categories', [CategoryController::class, 'getCategories']);
Route::get('subcategories', [CategoryController::class, 'getSubcategories'])
